Bug 487022 - R-make-search-index.sh dont't produce correct search index.txt and emit warning in %post and %post
R-make-search-index.sh dont't produce correct search index.txt and emit warni...
Status: CLOSED NEXTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: R (Show other bugs)
el5
All Linux
low Severity urgent
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
http://http://cvs.fedoraproject.org/v...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-23 12:49 EST by Elia Pinto
Modified: 2009-03-05 08:46 EST (History)
1 user (show)

See Also:
Fixed In Version: Fixed in the FC10 package 2.8.1-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-05 08:46:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elia Pinto 2009-02-23 12:49:01 EST
Description of problem:

R have an old and wrong, i presume, R-make-search-index.sh.

Version-Release number of selected component (if applicable):
2.8.1-2.el5 on RHEL5.3



How reproducible:

Always

Install R and install any R-<package> 


Steps to Reproduce:
1. yum -y install R
2. yum -y install R-zoo
3.
  
Actual results:

In installing R-zoo

 yum -y install R-zoo
Loaded plugins: downloadonly, keys, security, versionlock
Reading version lock configuration
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package R-zoo.noarch 0:1.5-4.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

==============================================================================================================================================================
 Package                           Arch                               Version                                  Repository                                Size
==============================================================================================================================================================
Installing:
 R-zoo                             noarch                             1.5-4.el5                                epel-updates                             748 k

Transaction Summary
==============================================================================================================================================================
Install      1 Package(s)
Update       0 Package(s)
Remove       0 Package(s)

Total download size: 748 k
Downloading Packages:
R-zoo-1.5-4.el5.noarch.rpm                                                                                                             | 748 kB     00:00
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : R-zoo                                             [1/1]
/usr/lib/rpm/R-make-search-index.sh: line 7: /usr/lib64/R/doc/html/search/index.txt: No such file or directory
/usr/lib/rpm/R-make-search-index.sh: line 8: /usr/lib64/R/doc/html/search/index.txt: No such file or directory

Installed: R-zoo.noarch 0:1.5-4.el5
Complete!


Expected results:

No warning in %post and %postun postinstall and correct generation of R index.txt.

Additional info:

If the R-make-search-index.sh from FC10 is right, and i am sure of this,
also the Fedora Packaging Guideline of packaging R are wrong when describe   the "generating the search index.txt" paragraph. In particular
the 

"at %{_libdir}/R/doc/html/search/index.txt" referenced should be changed in something like

"at  /usr/share/doc/R-<version>/html/search/index.txt"
Comment 1 Tom "spot" Callaway 2009-03-04 15:25:24 EST
Whoops! I forgot to update the EPEL branches with the updated R-make-search-index.sh. I've also corrected the Packaging/R page with the proper location for the search index.txt.

I'll fix this in the next build, along with 477076.
Comment 2 Tom "spot" Callaway 2009-03-05 08:46:21 EST
Built updates for EPEL, R-2.8.1-3.el4 and R-2.8.1-3.el5.

Note You need to log in before you can comment on or make changes to this bug.